Subject: Re: bug#78667: gimp crashes on startup on Ubuntu 25.10 foreign distro

From: Simon Tournier <[email-masked]>
Date: Fri, 13 Jun 2025 15:17:48 +0200

Hi,

On Mon, 02 Jun 2025 at 01:49, "nomike (they/them)" <[email-masked]> wrote:

> I have just recently installed gimp via guix, so I can't tell if this is 
> in any way related to the Ubuntu 25.04 update I did a 2 weeks ago.

Using Ubuntu 22 and Guix b17268b, I can the bug.

Well, from the error message:

    > Gtk:ERROR:../gtk+-3.24.43/gtk/gtkiconhelper.c:495:ensure_surface_for_gicon: 
    > assertion failed (error == NULL): Icon 'image-missing' not present in 
    > theme Default (gtk-icon-theme-error-quark, 0)
    > Bail out! 
    > Gtk:ERROR:../gtk+-3.24.43/gtk/gtkiconhelper.c:495:ensure_surface_for_gicon: 
    > assertion failed (error == NULL): Icon 'image-missing' not present in 
    > theme Default (gtk-icon-theme-error-quark, 0)
    > /home/nomike/.guix-home/profile/bin/gimp: fatal error: Aborted
    > "/home/nomike/.guix-home/profile/bin/gimp": not in executable format: 
    > file format not recognized

I have tried:

--8<---------------cut here---------------start------------->8---
$ guix shell gimp gtk -- gimp
set device 'ELAN07A8:00 04F3:31EC Touchpad' to mode: disabled
set device 'Virtual core XTEST pointer' to mode: disabled
set device 'ELAN07A8:00 04F3:31EC Mouse' to mode: disabled
[script-fu-test-sphere-v3] The catalog directory does not exist: /gnu/store/z4wwpzvnjdrnw029gh515007la8qlj28-gimp-3.0.0/lib/gimp/3.0/plug-ins/test-sphere-v3/locale
[script-fu-test-sphere-v3] Override method set_i18n() for the plug-in to customize or disable localization.
[script-fu-test-sphere-v3] Localization disabled
Failed writing to '/home/simon/.config/GIMP/3.0/shortcutsrc': Error opening file “/home/simon/.config/GIMP/3.0/shortcutsrc”: Permission denied

(gimp:55290): Gimp-Core-WARNING **: 15:14:27.831: gimp_finalize: list of contexts not empty upon exit (4 contexts left)

stale context: (null) (of type GimpStrokeOptions)
stale context: (null) (of type GimpFillOptions)
stale context: (null) (of type GimpStrokeOptions)
stale context: (null) (of type GimpFillOptions)
--8<---------------cut here---------------end--------------->8---

and it seems to works.  Well, it does not crash. :-)

Could you confirm that adding gtk fixes the issue?

I guess the fix is about some search-paths.

Cheers,
simon